
Foreman - Feature #299

Debian package files for Foreman

06/02/2010 03:49 PM - Jochen Schalanda

Status: Closed   

Priority: Normal   

Assignee: Jochen Schalanda   

Category: Packaging   

Target version: 0.1-5   

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

The attached patch adds the files necessary to generate a .DEB package file of Foreman for Debian-based distributions.

Associated revisions

Revision d2b7c316 - 06/07/2010 08:14 AM - Jochen Schalanda

fixes #299 - Debian package spec

History

#1 - 06/02/2010 04:37 PM - Ohad Levy

I see that you keep another copy of all settings file, cant we extract them from the tar?

can you paste your patch again without the modifications to the git submodules?

thanks!!

#2 - 06/03/2010 01:28 PM - Ohad Levy

- Target version deleted (0.1-5)

I'm removing this ticket from a target, as this ticket is independent from the release of foreman.

#3 - 06/05/2010 06:56 AM - Jochen Schalanda

- File 0001-Added-extras-dbmigrate-which-tests-for-a-specific-us.patch added

- File 0002-Added-Debian-package-spec.patch added

Ohad Levy wrote:

I see that you keep another copy of all settings file, cant we extract them from the tar?

 I changed the handling of Foreman's configuration files to use the stock files in the ./config/ directory.

Ohad Levy wrote:

can you paste your patch again without the modifications to the git submodules?

 The .gitmodules file was added accidentally in the prior patch. It's fixed in the new version.

#4 - 06/07/2010 08:17 AM - Ohad Levy

- Target version set to 0.1-5

#5 - 06/07/2010 08:18 AM - Jochen Schalanda

- Status changed from New to Ready For Testing
- % Done changed from 0 to 100

Applied in changeset d2b7c3160ee384ea450998c322611e51b07d5b5a.

#6 - 06/07/2010 08:19 AM - Ohad Levy

- Status changed from Ready For Testing to Closed

#7 - 10/15/2018 01:43 PM - Tomer Brisker

- Category changed from 21 to Packaging

Files

0001-Added-Debian-package-files.patch 19 KB 06/02/2010 Jochen Schalanda

0001-Added-extras-dbmigrate-which-tests-for-a-specific-us.patch 820 Bytes 06/05/2010 Jochen Schalanda

0002-Added-Debian-package-spec.patch 14.5 KB 06/05/2010 Jochen Schalanda
